package com.red.circle.console.app.service.app.game;

import com.red.circle.game.fruit.inner.model.cmd.GameFruitPrizeCmd;
import com.red.circle.game.fruit.inner.model.cmd.GameFruitRuleCmd;
import com.red.circle.game.fruit.inner.model.dto.GameFruitPrizeDTO;
import com.red.circle.game.fruit.inner.model.dto.GameFruitRuleDTO;
import java.util.List;

/**
 * 摩天轮游戏配置
 *
 * @author lisizhe 2023/12/14  15:54
 */
public interface GameFruitConfigService {

  void updateRule(GameFruitRuleCmd cmd);

  GameFruitRuleDTO getRule(String sysOrigin);

  void addPrize(GameFruitPrizeCmd cmd);

  void updatePrize(GameFruitPrizeCmd cmd);

  List<GameFruitPrizeDTO> listPrize(String sysOrigin);
}
